/* ******************************************** */
/* Basic thematic elements */
/* ******************************************** */

body.theme-abase, body.theme-abase th, body.theme-abase td, body.theme-abase .ui-widget, body.theme-abase input, body.theme-abase textarea { font-family: 'Open Sans',Arial, sans-serif; }

@media screen {
	body.theme-abase { background-color: white; }
	body.theme-abase, body.theme-abase th, body.theme-abase td, body.theme-abase .ui-widget { font-size: 13px; }
	body.theme-abase button.fileattachmentWidgetButton { font-size: 11px; }
	body.theme-abase input, body.theme-abase textarea { font-size: 12px; }
	body.theme-abase a.ui-button:active, body.theme-abase .ui-button:active, body.theme-abase .ui-button.ui-state-active:hover {
		font-weight: bold; /* TODO: fix this in our jquery ui theme */
	}
	.theme-abase a:link, .theme-abase a:visited, .theme-abase .ui-jqgrid-bdiv td a, .theme-abase .normallinks a:link, .theme-abase .normallinks a:visited {
		color: #666666;
		text-decoration: none;
	}
	.theme-abase .ui-jqgrid-bdiv td a.ui-button {
		margin-top: 1px;
		color: #eee;
	}
	.theme-abase .ui-jqgrid-bdiv td a.ui-button:hover {
		color: #fff;
	}
	.theme-abase .ui-multiselect .actions a {
		color: #ddd;
	}
	.theme-abase a:hover, .theme-abase .ui-jqgrid-bdiv td a:hover, .theme-abase .normallinks a:hover {
		color: #666666;
		text-decoration: underline;
	}
	.theme-abase .action-icon {
		color: #666666;
	}
	.theme-abase .action-icon:hover {
		color: #000000;
	}	
}

/* ******************************************** */
/* Main drop down menu */
/* ******************************************** */

@media screen {
	/* Main Menus */

	body.theme-abase div.assess-header h1 {
		font-size: 150%;
	}	
}

/* ******************************************** */
/* Thematic layout elements */
/* ******************************************** */


@media screen {
	body.theme-astandard.assess-page {
		background: #eee;
	}
	body.theme-astandard.assess-page .assess-page {
		background: #fefefe; 
	}
	body.theme-astandard.assess-page .assess-page-container {
		margin-left: auto; margin-right: auto; max-width: 1500px;		
	}
	
	body.theme-astandard-logoright .assess-login-header {
		position: absolute;
		top: 1px;
		right: 10px;
	}
	body.theme-astandard-logoright .assess-login-header .ui-button { margin-top: -1px; }
	body.theme-astandard-logoright .assess-login-header .assess-login-forgotten-password { display: none;  margin-top: 2px; }
	body.theme-astandard-logoright .assess-login-header:hover .assess-login-forgotten-password { display: block; height: 20px; }
	body.theme-astandard-logoright .assess-login-header .assess-login-forgotten-password a { background-color: white; }
	
	body.theme-astandard div.assess-header {
		margin: 10px 10px 8px;
		border: none;
	}
	body.theme-astandard.assess-page-layout-compact div.assess-header {
		margin: 8px 10px;
		border: none;
	}	
	body.theme-astandard div.assess-header h1 {
		margin: 0px;
		padding: 19px 0px 19px 5px;
		font-size: 23px;
		color: #444;		
	}
	body.theme-astandard.assess-page-layout-compact div.assess-header h1 {
		padding: 8px 0px 5px 5px;
		font-size: 17px;
	}
	body.theme-astandard-logo div.assess-header h1 {
		padding-left: 200px; /* Fine tune to the logo as appropriate in site css */
	}
	body.theme-astandard-logo.assess-page-layout-compact div.assess-header h1 {
		padding-left: 110px; /* Fine tune to the logo as appropriate in site css */
	}	
	body.theme-astandard-noheadertext div.assess-header h1 span {
		position: relative;
		left: -1024px;
		width: 1px;
		overflow: hidden;
	}
	body.theme-astandard-logo div.assess-header h1 { /* Logo should ideally be about 60-64px high */
		background: url('/siteres/sitelogo.png') no-repeat 0 0;
	}
	body.theme-astandard-logo.assess-page-layout-compact div.assess-header h1 { /* Logo should ideally be about 30-34px high */
		background: url('/siteres/sitelogo-compact.png') no-repeat 0 0;
	}
	body.theme-astandard-logoright div.assess-header {
		background: url('/siteres/sitelogo-right.png') no-repeat 100% 0;
	}
	body.theme-astandard-logoright.assess-page-layout-compact div.assess-header {
		background: url('/siteres/sitelogo-right-compact.png') no-repeat 100% 0;
	}
	body.theme-astandard.theme-astandard-logoright div.assess-menu-suppressed .assess-loggedin-as {
		font-size: 65%;
	}
	body.theme-astandard .assess-login-header {
		padding: 0;
	}
	body.theme-astandard .assess-login-header input { border: 1px solid #ddd; margin-left: 2px; margin-right: 2px; }
	body.theme-astandard .assess-login-header .simple-action-buttons .assess-action-button span { font-size: 85%; }
	body.theme-astandard .assess-loggedin-as {
		float: right;
		font-size: 90%;
		padding: 0.4em;
		color: #ddd;
		border-bottom-left-radius: 5px;
		background-color: inherit;
	}
	body.theme-astandard .assess-loggedin-as a {
		color: #ddd;
	}

	body.theme-astandard div.assess-menu {
		border: none;
		color: #eee;
		padding: 0px 10px;
	}
	/* This was a work around for https://github.com/FortAwesome/Font-Awesome/issues/4296 under IE - don't think it's needed under FA5*/
	/*body.theme-astandard div.assess-menu .icon.fa {
		transform: rotate(0.001deg); 
	} */
	body.theme-astandard div.assess-menu-suppressed {
		height: 2px;
		padding: 0px;
	}
	body.theme-astandard div.assess-menu-suppressed .assess-loggedin-as {
		padding: 3px 10px;
		font-size: 85%;
	}
	body.theme-astandard div.assess-menu, body.theme-astandard div.assess-menu .sf-menu li {
		background-color: #666;
	}
	body.theme-astandard div.assess-menu .sf-arrows .sf-with-ul:after {
		border-top-color: #eeeeee;
		margin-top: -1px;
	}
	body.theme-astandard div.assess-menu .sf-arrows ul .sf-with-ul:after {
		margin-top: -3px;
		border-color: transparent;
		border-left-color: #eeeeee;
	}	
	body.theme-astandard div.assess-menu .sf-arrows > li > .sf-with-ul:focus:after,
	body.theme-astandard div.assess-menu .sf-arrows > li:hover > .sf-with-ul:hover:after {
		border-top-color: white;
	}
	body.theme-astandard div.assess-menu .sf-arrows ul li > .sf-with-ul:focus:after,
	body.theme-astandard div.assess-menu .sf-arrows ul li:hover > .sf-with-ul:after,
	body.theme-astandard div.assess-menu .sf-arrows ul .sfHover > .sf-with-ul:after {
		margin-top: -3px;
		border-left-color: white;
	}	
	body.theme-astandard div.assess-menu .sf-menu a {
		color: #eee;
		border-left: none;
		border-right: 1px solid #999;
	}
	body.theme-astandard div.assess-menu .sf-menu li.selected > a {
		background-color: #999;
		color: #fff;	
	}
	body.theme-astandard div.assess-menu .sf-menu li:hover li, body.theme-astandard div.assess-menu .sf-menu li.sfHover li {
		border-top: 1px solid #999;
	}
	body.theme-astandard .sf-menu ul ul {
		top: -1px; /* Compensate for border added above */
	}
	body.theme-astandard div.assess-section h2 {
		color: #333;
	}
	body.theme-astandard div.assess-menu .sf-menu li a:hover {
		color: white;
	}
	
	body.theme-astandard div.assess-menu .sf-menu .ui-icon {
		height: 13px;
		top: -3px;
	}
	body.theme-astandard div.assess-menu .ui-icon {
		background-image: url("../../jqueryui-themes/images/ui-icons_ffffff_256x240.png");
	}	
	
	body.theme-astandard .assess-body {
		background-color: white;
	}
	body.theme-astandard .assess-page-title-container {	
		background-color: #f6f6f6;
		border-top: 1px solid #e0e0e0;
		border-bottom: 1px solid #e0e0e0;
		/* margin: 2px 0px; */
		padding: 0.1em;
	}
	body.theme-astandard h2.page-title {
		font-size: 140%;
		font-weight: normal;
		color: #555;
		margin: 0px 3px;
		border: none;
		padding: 0.3em 0.5em;
		padding-top: 0.4em;
	}
	body.theme-astandard div.assess-footer {
	    background: #555;
	    color: white;
	    font-size: 85%;
	    padding: 0.3em;
	}
	body.theme-astandard.assess-page-layout-compact div.assess-footer {
		padding: 0.2em;
		font-size: 80%;
	}	
	body.theme-astandard div.assess-footer a {
	    color: white;
	}
	body.theme-astandard div.assess-body-inner {
		padding: 0.5em;
	}
	body.theme-astandard div.assess-body-inner.ui-tabs, body.theme-astandard div.assess-body-inner.ui-layout-pane {
		padding: 0;
		padding-top: 0.3em;
	}
	body.theme-astandard div.ui-tabs {
		border: none;
		padding: 0em 0.1em;
	}

	body.theme-astandard .action-buttons .ui-button {
		font-size: 95%;
	}
	body.theme-astandard .action-buttons .ui-button .icon.fa, body.theme-astandard .action-buttons .ui-button .icon.far, body.theme-astandard .action-buttons .ui-button .icon.fas, body.theme-astandard .action-buttons .ui-button .icon.fal, body.theme-astandard .action-buttons .ui-button .icon.fab {
		/* This was a work around for https://github.com/FortAwesome/Font-Awesome/issues/4296 under IE - don't think it's needed under FA5*/
		/* transform: rotate(0.001deg);  */
		font-size: 13px;
	}
	body.theme-astandard .assess-main-action-buttons .action-buttons .ui-button {
		margin-top: 4px;
	}
	body.theme-astandard .assess-page-title-container .page-title .page-title-icon {
		display: none; /* We've decided to get rid of it */
		opacity: 0.4;
		margin-right: 0.5em;
	}	
	body.theme-astandard .ui-tabs .ui-tabs-nav .ui-state-default a {
	  opacity: 0.80;
	  font-weight: normal;
	}
	body.theme-astandard .ui-tabs .ui-tabs-nav .ui-state-active a {
	  opacity: 1;
	}
	body.theme-astandard .ui-menu .ui-menu-item-wrapper.ui-state-active {
		background: #e0e0e0;
		color: black;
	}
	
	body.theme-astandard .ui-button.ui-corner-all {
		border-radius: 10px;
	}
	body.theme-astandard .ui-jqgrid .action-buttons .assess-action-button, body.theme-astandard .action-buttons .smaller, body.theme-astandard .ui-widget .action-buttons .smaller {
		border-radius: 5px;
	}
	body.theme-astandard .ui-selectmenu-button.ui-corner-all {
		border-radius: 5px;
	}
	body.theme-astandard .ui-selectmenu-button.ui-corner-top {
		border-top-left-radius: 5px;
		border-top-right-radius: 5px;
	}	

}

@media print {
	body.theme-abase, body.theme-abase th, body.theme-abase td, body.theme-abase .ui-widget { font-size: 10pt; }
	body.theme-abase input, body.theme-abase textarea { font-size: 9pt; }
	body.theme-abase div.assess-header h1 { margin: 0; margin-bottom: 0.2em; padding 0; }
	body.theme-abase table.assess-assessment-parameters div.assesswidgetrangeslider-rangetext, body.theme-abase table.assess-assessment-parameters div.assess-parameter-description { font-size: 90%; }
	body.theme-abase table.assess-assessment-parameters div.assesswidgetrangeslider-display { font-weight: bold; }
	body.theme-abase table.assess-assessment-parameters div.assesswidgetrangeradio-separatelabeldisplay span.scorevalue { font-weight: bold; }
	body.theme-abase table.assess-assessment-parameters div.assesswidgetrangeradio-separatelabeldisplay span.scorelabel { font-size: 90%; }
	body.theme-abase div.assess-section-guidance div.assess-section-body { font-size: 85%; }	
	body.theme-abase table.assess-assessment-parameters tr.assess-assessment-parameter-group-header { page-break-after: avoid; }
	body.theme-abase table.assess-assessment-parameters tr.assess-assessment-parameter-group-description td { page-break-inside: avoid; font-size: 100%; }	
	body.theme-abase table.assess-assessment-parameters td.assess-parameter-widget { page-break-inside: avoid; }
	body.theme-abase table.assess-assessment-parameters td.assess-parameter-comment { font-size: 85%; }
	body.theme-abase table.assess-assessment-parameters td.assess-parameter-supplementary { font-size: 85%; }
}
